A date, formatted as yyyy-MM-dd , when the records have been created
OpenAPI definition (v0)
- Integration environmenthttps://payment-integration.ratepay.com/pps/api/v1/session-record
- Production environmenthttps://payment.ratepay.com/pps/api/v1/session-record
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://payment-integration.ratepay.com/pps/api/v1/session-record?createdDate=2019-08-24' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'List of session records returned successfully
The identifier of the interaction with the user within the scope of the Hosted Payment Page
The current status of the record.
* CREATED - the session has just been created by the merchant, but the buyer still didn't do anything.
* IN_PROGRESS - the session is being processed by Ratepay.
* COMPLETED - the transaction has been successfully completed.
* ERROR - some processing error has happened (please refer to the field decline_reasons).
* EXPIRED - the buyer didn't take any action within 30 minutes.
* CANCELED - the buyer clicked on the cancel button.
* FRAUD_CANCELLATION_REQUESTED - Ratepay advises for this transaction to be canceled by the merchant.
* OTP_PENDING - the buyer has been requested to validate their phone number, and Ratepay is still waiting for the verification.
[ { "session_id": "53998820-2dcf-4187-b1d0-f0a78cb06d39", "partner_transaction_id": "123", "shop_buyer_id": "MyShopBuyerID", "session_status": "CREATED", "created_date": "2026-06-05T15:41:36.325775Z", "updated_date": "2026-06-05T15:41:36.325775Z" }, { "session_id": "298a92fc-0a15-455c-b279-948a5ff1c75b", "partner_transaction_id": "456", "shop_buyer_id": "MyShopBuyerID1", "session_status": "IN_PROGRESS", "created_date": "2026-06-05T15:41:36.325775Z", "updated_date": "2026-06-05T15:42:36.325775Z" }, { "session_id": "46c13096-2615-4894-96af-48b55dcd5f26", "transaction_id": "6Z54V9SXRCRSKDXDGKZW", "partner_transaction_id": "789", "shop_buyer_id": "MyShopBuyerID2", "session_status": "COMPLETED", "created_date": "2026-06-05T15:41:36.325775Z", "updated_date": "2026-06-05T15:41:36.325775Z" }, { "session_id": "7e0e21cc-2dee-46fc-b8cc-d6705efe3b83", "partner_transaction_id": "0123", "shop_buyer_id": "MyShopBuyerID3", "session_status": "ERROR", "decline_reasons": { … }, "created_date": "2026-06-05T15:41:36.325775Z", "updated_date": "2026-06-05T15:42:36.325775Z" }, { "session_id": "a1728eee-4a43-4627-b661-5d9dc80a9ac2", "partner_transaction_id": "0456", "shop_buyer_id": "MyShopBuyerID4", "session_status": "EXPIRED", "decline_reasons": { … }, "created_date": "2026-06-05T15:41:36.325775Z", "updated_date": "2026-06-05T15:42:36.325775Z" }, { "session_id": "7c3814e4-e8f5-4aae-bfc1-5a833588ca18", "partner_transaction_id": "0789", "shop_buyer_id": "MyShopBuyerID5", "session_status": "CANCELED", "created_date": "2026-06-05T15:41:36.325775Z", "updated_date": "2026-06-05T15:42:36.325775Z" }, { "session_id": "cbc710ef-18d7-4454-8770-b14e315554ca", "partner_transaction_id": "00123", "shop_buyer_id": "MyShopBuyerID6", "session_status": "FRAUD_CANCELLATION_REQUESTED", "created_date": "2026-06-05T15:41:36.325775Z", "updated_date": "2026-06-05T15:42:36.325775Z" }, { "session_id": "9d769c3a-81cd-4baa-8214-6f0eb806c014", "partner_transaction_id": "00456", "shop_buyer_id": "MyShopBuyerID7", "session_status": "OTP_PENDING", "created_date": "2026-06-05T15:41:36.325775Z", "updated_date": "2026-06-05T15:42:36.325775Z" } ]
- Integration environmenthttps://payment-integration.ratepay.com/pps/api/v1/session-record/{sessionId}
- Production environmenthttps://payment.ratepay.com/pps/api/v1/session-record/{sessionId}
- curl
- JavaScript
- Node.js
- Python
- Java
- C#
- PHP
- Go
- Ruby
- R
- Payload
curl -i -X GET \
'https://payment-integration.ratepay.com/pps/api/v1/session-record/{sessionId}' \
-H 'Authorization: Bearer <YOUR_JWT_HERE>'Session record returned successfully
The identifier of the interaction with the user within the scope of the Hosted Payment Page
The current status of the record.
* CREATED - the session has just been created by the merchant, but the buyer still didn't do anything.
* IN_PROGRESS - the session is being processed by Ratepay.
* COMPLETED - the transaction has been successfully completed.
* ERROR - some processing error has happened (please refer to the field decline_reasons).
* EXPIRED - the buyer didn't take any action within 30 minutes.
* CANCELED - the buyer clicked on the cancel button.
* FRAUD_CANCELLATION_REQUESTED - Ratepay advises for this transaction to be canceled by the merchant.
* OTP_PENDING - the buyer has been requested to validate their phone number, and Ratepay is still waiting for the verification.
- CREATED
- IN_PROGRESS
- COMPLETED
- ERROR
- EXPIRED
- CANCELED
- FRAUD_CANCELLATION_REQUESTED
- OTP_PENDING
{ "session_id": "53998820-2dcf-4187-b1d0-f0a78cb06d39", "partner_transaction_id": "123", "shop_buyer_id": "MyShopBuyerID", "session_status": "CREATED", "created_date": "2026-06-05T15:41:36.325775Z", "updated_date": "2026-06-05T15:41:36.325775Z" }